schemaVersion: 1.0
instance:
  type: "nevisfido"
  name: "default"
  directory: "/var/opt/nevisfido/default"
  pid: "systemctl show nevisfido@default -p MainPID | cut -d '=' -f2"
  source:
    url: "/nevisadmin/#/projects/DEFAULT-ADN-AGOV-PROJECT/patterns/ca92034f995b39fde562293c"
    projectKey: "DEFAULT-ADN-AGOV-PROJECT"
    patternId: "ca92034f995b39fde562293c"
    patternClass: "ch.nevis.admin.v4.plugin.nevisfido.deployable.patterns.NevisFIDODeployable"
  resources:
    ports:
    - "0.0.0.0:9443"
  control:
    start: "systemctl restart nevisfido@default"
    stop: "systemctl stop nevisfido@default"
    status: "systemctl status nevisfido@default"
